/* GLSL_DoF2: Depth of Field effect with GLSL shaders and FBOs
   Copyright (C) 2008 Angelo "Encelo" Theodorou
*/

#define NUM_SHADERS 6
#define SHADERS_DIR "shaders/"
struct Shaders {
	GLuint vert[NUM_SHADERS], frag[NUM_SHADERS];
    GLuint p[NUM_SHADERS];
};

#define NUM_FBOS 4
struct FBO {
	GLuint frame[NUM_FBOS], depth, texid[NUM_FBOS];
};

void InitFBO(struct FBO *fbo, int width, int height);
void DeleteFBO(struct FBO *fbo);
void InitShaders(struct Shaders *sh);
void DeleteShaders(struct Shaders *sh);
GLuint LoadTexture(char *file);
